### Signal

# Gtk PrintOperation::create-custom-widget

#### Declaration

    GObject*
    create_custom_widget (
      GtkPrintOperation* self,
      gpointer user_data
    )

#### Description [src]

Emitted when displaying the print dialog.

If you return a widget in a handler for this signal it will be added to a custom tab in the print dialog. You typically return a container widget with multiple widgets in it.

The print dialog owns the returned widget, and its lifetime is not controlled by the application. However, the widget is guaranteed to stay around until the `GtkPrintOperation::custom-widget-apply` signal is emitted on the operation. Then you can read out any information you need from the widgets.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Return value

Type: `GObject`

A custom widget that gets embedded in the print dialog.

The data is owned by the called function.
The return value can be `NULL`.